Name: libevent
Version: 1.0c
Release: alt1

Summary: An asynchronous event notification library
Group: System/Libraries
License: BSD
Url: http://www.monkey.org/~provos/%name/

Source: http://www.monkey.org/~provos/%name-%version.tar.bz2
Source1: Makefile.sample
Source2: README.%name

Patch1: %name-1.0c-mdk-alt-shared.patch
Patch2: %name-1.0c-alt-silent.patch

%def_disable static

%package devel
Summary: Development %name library, its header files and documentation
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached.

libevent is meant to replace the asynchronous event loop found in
event driven network servers.  Currently, libevent supports kqueue(2)
and select(2).

%description devel
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached.

libevent is meant to replace the asynchronous event loop found in
event driven network servers.  Currently, libevent supports kqueue(2)
and select(2).

This package contains the header files, documentation, examples and
development library for use in developing applications that use the
%name library.

%description devel-static
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached.

libevent is meant to replace the asynchronous event loop found in
event driven network servers.  Currently, libevent supports kqueue(2)
and select(2).

This package contains the static libevent library necessary to build
statically-linkeed libevent-based applications.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
autoreconf -fisv
%configure %{subst_enable static}
%make_build
make verify

%install
%makeinstall

# Relocate shared libraries from %_libdir/ to /%_lib/.
%__mkdir_p $RPM_BUILD_ROOT/%_lib
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../%_lib/"$t" "$f"
done
%__mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/%_lib/

%define docdir %_docdir/%name-%version
%__install -pD -m644 %SOURCE1 %buildroot%docdir/examples/Makefile
%__install -p -m644 sample/*.c %buildroot%docdir/examples/
%__install -pm644 %SOURCE2 %buildroot%docdir/README

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
/%_lib/*.so.*
%dir %docdir
%docdir/README

%files devel
%_libdir/*.so
%_includedir/*
%_man3dir/*
%dir %docdir
%docdir/examples

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Apr 04 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0c-alt1
- Updated to 1.0c.
- Updated patches.

* Tue Mar 01 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0b-alt2
- Relocated shared library from %_libdir to /%_lib (fixes #6156).

* Sun Feb 13 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0b-alt1
- Initial revision.
